Package twisted :: Package news :: Module database

[show private | hide private]
[frames | no frames]

## Module twisted.news.database

News server backend implementations

Maintainer: Jp Calderone<mailto:exarkun@twistedmatrix.com>

Stability: semi-stable

Future Plans: A PyFramer-based backend and a new backend interface that is less NNTP specific

Classes
`Article` |
`Group` |
`NewsShelf` | A NewStorage implementation using Twisted's dirdbm persistence module.
`NewsStorage` | An interface for storing and requesting news articles
`NewsStorageAugmentation` | A NewsStorage implementation using Twisted's asynchronous DB-API
`PickleStorage` | A trivial NewsStorage implementation using pickles

Exceptions
`NewsServerError` |

Function Summary
| `hexdigest(md5)`
| `makeGroupSQL(groups)`
| `makeOverviewSQL()`

Variable Summary
`int` | `ERR_NOARTICLE`
`int` | `ERR_NOGROUP`
`_Feature` | `nested_scopes`
`list` | `OVERVIEW_FMT`

Variable Details

### ERR_NOARTICLE

  Type:
    `int`
  Value:

        3

### ERR_NOGROUP

  Type:
    `int`
  Value:

        2

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### OVERVIEW_FMT

  Type:
    `list`
  Value:

        ['Subject',
         'From',
         'Date',
         'Message-ID',
         'References',
         'Bytes',
         'Lines',
         'Xref']

Generated by Epydoc 1.1 on Thu May 8 13:18:34 2003 | http://epydoc.sf.net